flatpickr - にほんご。

Usage in IE9

更新日: 2018-06-14

flatpikrはIE10+、Safari 6+、FireFox、Chromeで動作します。

IE9での使い方

flatpickrはclassListプロパティに依存しており、これはIE9にはありません。 したがって、IE9でも動作させるためには、polyfillを使う必要があります。

さらに、IE9用のスタイルがありますので、以下のようにIEの条件付きコメントを使ってスタイルを適用してください。

<!--[if IE 9]>
<link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/ie.css">
<![endif]-->

もしWebpackのようなモジュールバンドラーを使っている場合は、html-webpack-pluginを参照してください。


© 2017 Gregory Petrosyan Released under the MIT license

このコンテンツはGregory Petrosyan(chmln)によるflatpickrドキュメントを翻訳/改変したものです。